Ruby 1.9.2p136(2010-12-25revision30365)

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

Defines | Functions

# missing/dup2.c File Reference

`#include "ruby/config.h"`
`#include <errno.h>`
Include dependency graph for dup2.c:

Go to the source code of this file.

## Defines
#define | BADEXIT -1
## Functions
int | dup2 (int fd1, int fd2)

## Define Documentation

#define BADEXIT -1

Definition at line 24 of file dup2.c.

Referenced by dup2().

## Function Documentation

int dup2 | ( | int | fd1,
|  | int | fd2
| ) |  |

Definition at line 27 of file dup2.c.

References BADEXIT, errno, and fcntl().

Referenced by chfunc(), io_reopen(), and main().